### Method

# Meta Window find_root_ancestor

#### Declaration [src]

    MetaWindow*
    meta_window_find_root_ancestor (
      MetaWindow* window
    )

#### Description [src]

Follow the chain of parents of `window`, skipping transient windows, and return the “root” window which has no non-transient parent.

#### Return value

Type: `MetaWindow`

The root ancestor window.

The returned data is owned by the instance.